1. MiniPOS Products API
UCS MiniPOS API - PUBLIC
  • UCS MiniPOS API - PUBLIC
    • MIDserver
      • MiniPOS Invoice API
        • ValidateInvoice
        • New Sales Invoice - Basic
        • New Refund Invoice - Basic
        • New Sales Invoice - Advanced
        • New Sales Invoice + Slip after payment
        • New Non fiscal slip
        • Get Invoice List
        • Get Invoice by ID
    • CRMserver
      • MiniPOS Products API
        • GET Products List
          GET
        • GET Product by ID
          GET
        • DELETE Product by ID
          DELETE
        • Change Product by ID
          PUT
        • Create new Product Basic
          POST
        • Create new Product Advanced
          POST
      • MiniPOS Categories API
        • Create new Category
      • MiniPOS Shift Data API
        • GET shifts
        • GET receipts
  • Kiosk Status Webhooks
    • Receive Kiosk Event
      POST
    • Schemas
      • KioskEvent
  1. MiniPOS Products API

Create new Product Basic

POST
/api/products

Request

Authorization
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
Body Params application/json

Examples

Responses

🟢201
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/products' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '//This example show minimum set of parameters needed to post this command
//All undefined values will be filled with default values
{
    "name": "ItemName",
    "price": 1.0  
}'
Response Response Example
{
    "id": 34,
    "barcodes": [],
    "addons": [],
    "status": 1,
    "code": 9,
    "name": "ItemName 2",
    "price": 1,
    "is_free_price": false,
    "is_weight": false,
    "default_quantity": 1,
    "payload": null,
    "created_at": "2026-02-18T08:24:41.907760+02:00",
    "updated_at": "2026-02-18T08:24:41.907760+02:00",
    "info": {},
    "no_discount": false,
    "category": 1,
    "fiscal_section": 1,
    "tax": 0
}
Modified at 2026-04-15 12:52:15
Previous
Change Product by ID
Next
Create new Product Advanced
Built with